## org.eclipse.emf.validation.xml
Interface IXmlConstraintDescriptor

All Superinterfaces:
  IConstraintDescriptor

All Known Implementing Classes:
  AbstractXmlConstraintDescriptor

Deprecated. Use the `IParameterizedConstraintDescriptor` interface, instead. Note that the default implementation of this interface also implements `IParameterizedConstraintDescriptor`.

    @Deprecated
    public interface IXmlConstraintDescriptor

extends IConstraintDescriptor

Interface provided by constraint descriptors that are parsed from XML configuration data (such as is implemented in plug-in manifests).

Method Summary
`IConfigurationElement` `getConfig()` Deprecated. Obtains the Eclipse configuration element from which I was initialized.
`void` `resolveTargetTypes(String[] namespaceUris)` Deprecated. I resolve all class names registered with me from `%lt;target>` elements in the constraint XML to `EClass` instances in the specified URI namespace.

Methods inherited from interface org.eclipse.emf.validation.service.IConstraintDescriptor
`addCategory, getBody, getCategories, getDescription, getEvaluationMode, getException, getId, getMessagePattern, getName, getPluginId, getSeverity, getStatusCode, isBatch, isEnabled, isError, isLive, removeCategory, setEnabled, setError, targetsEvent, targetsTypeOf`

Method Detail

### getConfig

    IConfigurationElement getConfig()

  Deprecated.
  Obtains the Eclipse configuration element from which I was initialized.

  Returns:
    my Eclipse extension configuration data

### resolveTargetTypes

    void resolveTargetTypes(String[] namespaceUris)

  Deprecated.

  I resolve all class names registered with me from `%lt;target>` elements in the constraint XML to `EClass` instances in the specified URI namespace.

  This method must be invoked before any requests for constraints are received by the framework.

  Parameters:
    `namespaceUris` - the namespace URIs of the EPackages in which to search for `EClass`es by name

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.